#
# spec file for package xpinguin
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xpinguin
Version:        1.0.2
Release:        1236.11
Summary:        The 'Logo' of Linux 2.0
License:        GPL-2.0-or-later
Group:          Amusements/Toys/Graphics
Source:         xpinguin.tar.gz
Source1:        xpinguin.png
Source2:        xpinguin.desktop
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)

%description
Based on xteddy -- really cute ;-)

%prep
%autosetup -n xpinguin
ln -s xpinguin.1 xpinguin.man
xmkmf -a

%build
%make_build CC="cc %{optflags}"

%install
%make_install install.man
rm -f   %{buildroot}%{_prefix}/X11R6/man/man1/xpinguin.1x.gz
%suse_update_desktop_file -i xpinguin Amusement

%files
%{_bindir}/xpinguin
%{_mandir}/man1/xpinguin.1x.gz
%{_datadir}/applications/xpinguin.desktop
%{_datadir}/pixmaps/xpinguin.png

%changelog
* Mon Mar 15 2021 Martin Pluskal <mpluskal@suse.com>
- Enforce usage of optflags
- Modernise spec file
* Mon Feb 19 2018 crrodriguez@opensuse.org
- Remove xorg-x11-devel buildRequires
* Thu Jul  5 2007 coolo@suse.de
- put the desktop file into the package
* Wed Aug  2 2006 aj@suse.de
- Fix paths for X11R7.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 dmueller@suse.de
- add workaround because update-desktop-files didn't make it
  into beta2
* Sun Jan 22 2006 dmueller@suse.de
- fix file list
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sat Aug 16 2003 adrian@suse.de
- install desktop file from kappfinder
* Thu May 22 2003 coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Oct 31 2000 ma@suse.de
- removed group unsorted
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Oct 21 1997 ma@suse.de
- prepared for autobuild
